Bug 223607 - devel/elfutils: Update to 0.170
Summary: devel/elfutils: Update to 0.170
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-11-11 18:16 UTC by Anton Yuzhaninov
Modified: 2017-11-13 18:55 UTC (History)
2 users (show)

See Also:
cem: maintainer-feedback+


Attachments
Update to 0.170 (18.51 KB, patch)
2017-11-11 18:16 UTC, Anton Yuzhaninov
koobs: maintainer-approval? (ports-developers)
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2017-11-11 18:16:12 UTC
Created attachment 187923 [details]
Update to 0.170

Please update elfutils to 0.170.
Patch attached.

No new portlint warnings was added.
Was tested with poudriere on i386/amd64 for supported releases.
Comment 1 Conrad Meyer freebsd_committer 2017-11-13 00:27:01 UTC
Patch looks good to me.  I cannot commit to the ports tree, so please find a ports committer to apply the change.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-11-13 01:29:02 UTC
Comment on attachment 187923 [details]
Update to 0.170

Any committer may commit with port committer review/accept.

This can be done either in issue (bugzilla), or with a Phabricator review (with review URL referenced in Issue URL field).

It would be helpful for submitter (or maintainer) to provide a commit log message, itemised with rationale/explanation (the why) of changes.

@Conrad, Please also set maintainer-approval (attachment flag) value to + to signify maintainer approval. Attachment -> Details -> maintainer-approval [+]
Comment 3 Conrad Meyer freebsd_committer 2017-11-13 02:18:27 UTC
I'm not a port committer, so I can't review/accept to commit.

Also, I've already set maintainer feedback to + and given my explicit approval in comment form.

Changelog from previous 0.168 isn't especially interesting.  More changes were made than just NEWS, but they aren't described here:

   1 2017-08-02  Mark Wielaard  <mark@klomp.org>
   2 
   3         * configure.ac: Set version to 0.170.
   4         * NEWS: Mention new libdw dwarf_line_file function.
   5 
   6 2017-07-26  Mark Wielaard  <mark@klomp.org>
   7 
   8         * NEWS: Mention dwarf_getmacros handling version 5 .debug_macro.
   9 
  10 2017-07-26  Mark Wielaard  <mark@klomp.org>
  11 
  12         * NEWS: Mention dwarf_peel_type DWARF5 tags improvement.
  13 
  14 2017-07-26  Mark Wielaard  <mark@klomp.org>
  15 
  16         * NEWS: Mention new DWARF5 calling conventions and defaulted member
  17         function.
  18 
  19 2017-07-26  Mark Wielaard  <mark@klomp.org>
  20 
  21         * NEWS: Mention new dwarf_default_lower_bound function.
  22 
  23 2017-07-25  Mark Wielaard  <mark@klomp.org>
  24 
  25         * NEWS: Mention new DWARF5 attributes, tags, character encodings
  26         and language codes in dwarf.h.
  27 
  28 2017-07-18  Mark Wielaard  <mark@klomp.org>
  29 
  30         * configure.ac: Don't check for linux/bpf.h.
  31         * NEWS: Mention always build bpf backend.
  32 
  33 2017-07-14  Mark Wielaard  <mark@klomp.org>
  34 
  35         * NEWS: Add 0.170 section and new strip options.
  36 
  37 2017-05-05  Mark Wielaard  <mark@klomp.org>
  38 
  39         * configure.ac: Set version to 0.169. Update copyright year.
  40         * NEWS: Add 0.169 section.
  41 
  42 2017-04-21  Ulf Hermann  <ulf.hermann@qt.io>
  43 
  44         * .gitignore: Add fillfile and peel_type tests.
  45 
  46 2017-02-15  Ulf Hermann  <ulf.hermann@qt.io>
  47 
  48         * configure.ac: Add check for mempcpy.
  49 
  50 2017-02-09  Mark Wielaard  <mark@klomp.org>
  51 
  52         * configure.ac: Add check for adding -D_FORTIFY_SOURCE=2 to CFLAGS.
  53 
  54 2017-01-12  Mark Wielaard  <mark@klomp.org>
  55 
  56         * configure.ac: Define PACKAGE_URL for older autoconf.

Here's git commit history instead: https://sourceware.org/git/?p=elfutils.git;a=log;h=766df1e15c1e8f8bc9890e7538eb2ef15a6516dc

Seems like big improvements in DWARF5 support, some various architecture support enhancements, some bug fixes.  Only about 20 commits between 0.169 and 0.170.  0.169 has some bugfixes and portability enhancements over 0.168.  I don't have a good coherent commit message here other than something vague like "some bugfixes and enhancements."
Comment 4 commit-hook freebsd_committer 2017-11-13 12:17:40 UTC
A commit references this bug:

Author: olivier
Date: Mon Nov 13 12:16:48 UTC 2017
New revision: 454110
URL: https://svnweb.freebsd.org/changeset/ports/454110

Log:
  Update to 0.170

  PR:		223607
  Submitted by:	Anton Yuzhaninov
  Approved by:	cem (maintainer)

Changes:
  head/devel/elfutils/Makefile
  head/devel/elfutils/distinfo
  head/devel/elfutils/files/patch-backends_x86__64__initreg.c
  head/devel/elfutils/files/patch-lib_Makefile.am
  head/devel/elfutils/files/patch-lib_system.h
  head/devel/elfutils/files/patch-libdw_Makefile.am
  head/devel/elfutils/files/patch-libelf_elf.h
  head/devel/elfutils/files/patch-src_readelf.c
  head/devel/elfutils/files/patch-src_strip.c
  head/devel/elfutils/files/patch-tests_Makefile.am
  head/devel/elfutils/pkg-plist
Comment 5 Olivier Cochard freebsd_committer 2017-11-13 12:18:20 UTC
Thanks, committed.
Comment 6 Conrad Meyer freebsd_committer 2017-11-13 18:55:56 UTC
Thanks Olivier!